GHSA-xhgx-7974-c8v6

Suggest an improvement
Source
https://github.com/advisories/GHSA-xhgx-7974-c8v6
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/12/GHSA-xhgx-7974-c8v6/GHSA-xhgx-7974-c8v6.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-xhgx-7974-c8v6
Aliases
  • CVE-2023-51084
Published
2023-12-27T21:31:01Z
Modified
2024-02-16T08:17:12.913047Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
hyavijava stack overflow vulnerability
Details

hyavijava v6.0.07.1 was discovered to contain a stack overflow via the ResultConverter.convert2Xml method.

References

Affected packages

Maven / com.github:hyavijava

Package

Name
com.github:hyavijava
View open source insights on deps.dev
Purl
pkg:maven/com.github/hyavijava

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
6.0.07.1

Affected versions

1.*

1.0.0
1.0.1

6.*

6.0.05.1
6.0.07.1